## gmsh 4.14.0+ds1

=== CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2025 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file in the Gmsh root directory for license information.
# Please report all issues on https://gitlab.onelab.info/gmsh/gmsh/issues.

cmake_minimum_required(VERSION 3.5 FATAL_ERROR)

# if CMAKE_BUILD_TYPE is specified use it; otherwise set the default
# build type to "RelWithDebInfo" ("-O2 -g" with gcc) prior to calling
# project()
if(DEFINED CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "Choose build type")
else()
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose build type")
endif()

project(gmsh CXX C)

# require C++14 and request C99
set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_C_STANDARD 99)

# this variable controls the default value of the options which are normally set
# to ON (useful if you want to configure a minimal version of Gmsh: e.g. "cmake
# -DDEFAULT=0 -DENABLE_POST=1 -DENABLE_PARSER=1")
set(DEFAULT ON CACHE INTERNAL "Default value for enabled-by-default options")

macro(opt OPTION HELP VALUE)
  option(ENABLE_${OPTION} ${HELP} ${VALUE})
  set(OPT_TEXI "${OPT_TEXI}\n@item ENABLE_${OPTION}\n${HELP} (default: ${VALUE})")
endmacro()

opt(3M "Enable proprietary 3M extension" OFF)
opt(ALGLIB "Enable ALGLIB (used by some mesh optimizers)" ${DEFAULT})
opt(ANN "Enable ANN (used for fast point search in mesh/post)" ${DEFAULT})
opt(BAMG "Enable Bamg 2D anisotropic mesh generator" ${DEFAULT})
opt(BLAS_LAPACK "Enable BLAS/Lapack for linear algebra (if Eigen if disabled)" OFF)
opt(BLOSSOM "Enable Blossom algorithm (needed for full quad meshing)" ${DEFAULT})
opt(BUILD_LIB "Enable 'lib' target for building static Gmsh library" OFF)
opt(BUILD_SHARED "Enable 'shared' target for building shared Gmsh library" OFF)
opt(BUILD_DYNAMIC "Enable dynamic Gmsh executable (linked with shared library)" OFF)
opt(BUILD_ANDROID "Enable Android NDK library target (experimental)" OFF)
opt(BUILD_IOS "Enable iOS library target (experimental)" OFF)
opt(CGNS "Enable CGNS import/export (experimental)" ${DEFAULT})
opt(CGNS_CPEX0045 "Enable high-order CGNS import/export following CPEX0045 (experimental)" OFF)
opt(CAIRO "Enable Cairo to render fonts (experimental)" ${DEFAULT})
opt(PROFILE "Enable profiling compiler flags" OFF)
opt(DINTEGRATION "Enable discrete integration (needed for levelsets)" ${DEFAULT})
opt(DOMHEX "Enable experimental DOMHEX code" ${DEFAULT})
opt(EIGEN "Enable Eigen for linear algebra (instead of Blas/Lapack)" ON)
opt(FLTK "Enable FLTK graphical user interface (requires mesh/post)" ${DEFAULT})
opt(GEOMETRYCENTRAL "Enable geometry-central library (experimental)" ${DEFAULT})
opt(GETDP "Enable GetDP solver (linked as a library, experimental)" ${DEFAULT})
opt(GMM "Enable GMM linear solvers (simple alternative to PETSc)" ${DEFAULT})
opt(GMP "Enable GMP for Kbipack (advanced)" ON)
opt(GRAPHICS "Enable building graphics lib even without GUI (advanced)" OFF)
opt(HXT "Enable HXT library (for reparametrization and meshing)" ${DEFAULT})
opt(KBIPACK "Enable Kbipack (neeeded by homology solver)" ${DEFAULT})
opt(MATHEX "Enable Mathex expression parser (used by plugins and options)" ${DEFAULT})
opt(MED "Enable MED mesh and post file formats" ${DEFAULT})
opt(MESH "Enable mesh module" ${DEFAULT})
opt(MESQUITE "Enable mesquite" ${DEFAULT})
opt(METIS "Enable Metis mesh partitioner" ${DEFAULT})
opt(MMG "Enable Mmg mesh adaptation interface" ${DEFAULT})
opt(MPEG_ENCODE "Enable built-in MPEG movie encoder" ${DEFAULT})
opt(MPI "Enable MPI (experimental, not used for meshing)" OFF)
opt(MSVC_STATIC_RUNTIME "Enable static Visual C++ runtime" OFF)
opt(MUMPS "Enable MUMPS sparse direct linear solver" OFF)
opt(NETGEN "Enable Netgen 3D frontal mesh generator" ${DEFAULT})
opt(NII2MESH "Enable 3D voxel image to a triangulated mesh" ${DEFAULT})
opt(NUMPY "Enable fullMatrix and numpy array conversion for private API" OFF)
opt(PETSC4PY "Enable petsc4py wrappers for petsc matrices for private API" OFF)
opt(OCC "Enable OpenCASCADE CAD kernel" ${DEFAULT})
opt(OCC_CAF "Enable OpenCASCADE CAF module (for STEP/IGES attributes)" ${DEFAULT})
opt(OCC_STATIC "Link OpenCASCADE static instead of dynamic libraries (requires ENABLE_OCC)" OFF)
opt(OCC_TBB "Add TBB libraries in list of OCC libraries" OFF)
opt(ONELAB "Enable ONELAB solver interface" ${DEFAULT})
opt(ONELAB_METAMODEL "Enable ONELAB metamodels (experimental)" ${DEFAULT})
opt(OPENACC "Enable OpenACC" OFF)
opt(OPENMP "Enable OpenMP" ${DEFAULT})
opt(OPTHOM "Enable high-order mesh optimization tools" ${DEFAULT})
opt(OS_SPECIFIC_INSTALL "Enable OS-specific (e.g. app bundle) installation" OFF)
opt(OSMESA "Enable OSMesa for offscreen rendering (experimental)" OFF)
opt(P4EST "Enable p4est for enabling automatic mesh size field (experimental)" OFF)
opt(PACKAGE_STRIP "Strip symbols in install packages to reduce install size" ON)
opt(PARSER "Enable GEO file parser (required for .geo/.pos scripts)" ${DEFAULT})
opt(PETSC "Enable PETSc linear solvers (required for SLEPc)" OFF)
opt(PLUGINS "Enable post-processing plugins" ${DEFAULT})
opt(POST "Enable post-processing module (required by GUI)" ${DEFAULT})
opt(POPPLER "Enable Poppler for displaying PDF documents (experimental)" OFF)
opt(PRIVATE_API "Enable private API" OFF)
opt(PRO "Enable PRO extensions" ${DEFAULT})
opt(QUADMESHINGTOOLS "Enable QuadMeshingTools extensions" ${DEFAULT})
opt(QUADTRI "Enable QuadTri structured meshing extensions" ${DEFAULT})
opt(REVOROPT "Enable Revoropt (used for CVT remeshing)" OFF)
opt(RPATH "Use RPATH in dynamically linked targets" ON)
opt(SLEPC "Enable SLEPc eigensolvers" OFF)
opt(SOLVER "Enable built-in finite element solvers (required for reparametrization)" ${DEFAULT})
opt(SYSTEM_CONTRIB "Use system versions of contrib libraries, when possible" OFF)
opt(TCMALLOC "Enable libtcmalloc (fast malloc that does not release memory)" OFF)
opt(TESTS "Enable tests" ${DEFAULT})
opt(TINYOBJLOADER "Enable TibyObjLoader for reading Wavefront files)" ON)
opt(TINYXML2 "Enable TinyXML2 parser (used by XAO reader)" ${DEFAULT})
opt(TOUCHBAR "Enable Apple Touch bar" ${DEFAULT})
opt(UNTANGLE "Enable 2D and 3D UNTANGLER" ${DEFAULT})
opt(VISUDEV "Enable additional visualization capabilities for development purposes" OFF)
opt(VOROPP "Enable voro++ (for hex meshing, experimental)" ${DEFAULT})
opt(WINSLOWUNTANGLER "Enable WinslowUntangler extensions (requires ALGLIB)" ${DEFAULT})
opt(WRAP_JAVA "Generate SWIG Java wrappers for private API" OFF)
opt(WRAP_PYTHON "Generate SWIG Python wrappers for private API (not used by public API)" OFF)
opt(ZIPPER "Enable Zip file compression/decompression" OFF)

set(GMSH_MAJOR_VERSION 4)
set(GMSH_MINOR_VERSION 14)
set(GMSH_PATCH_VERSION 0)
if(NOT GMSH_EXTRA_VERSION)
  set(GMSH_EXTRA_VERSION "")
endif()
set(GMSH_EXTRA_VERSION_TEXI "${GMSH_EXTRA_VERSION}")
set(GMSH_EXTRA_VERSION_ORIG ${GMSH_EXTRA_VERSION})

if(NOT GMSH_RELEASE)
  find_package(Git)
  if(GIT_FOUND)
    execute_process(COMMAND ${GIT_EXECUTABLE} log -1 --format=%h
                    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR} ERROR_QUIET
                    OUTPUT_VARIABLE GIT_COMMIT_HASH
                    OUTPUT_STRIP_TRAILING_WHITESPACE)
  endif()
  if(GIT_COMMIT_HASH)
    message(STATUS "Found git hash ${GIT_COMMIT_HASH}")
    set(GMSH_EXTRA_VERSION "${GMSH_EXTRA_VERSION}-git-${GIT_COMMIT_HASH}")
  else()
    message(STATUS "Could not find git hash")
    set(GMSH_EXTRA_VERSION "${GMSH_EXTRA_VERSION}-git")
  endif()
  set(GMSH_EXTRA_VERSION_TEXI "${GMSH_EXTRA_VERSION_TEXI} (development version)")
endif()

set(GMSH_SHORT_VERSION
    "${GMSH_MAJOR_VERSION}.${GMSH_MINOR_VERSION}.${GMSH_PATCH_VERSION}")
set(GMSH_VERSION "${GMSH_SHORT_VERSION}${GMSH_EXTRA_VERSION}")
set(GMSH_SHORT_LICENSE "GNU General Public License")

set(GMSH_GITLAB_PREFIX "https://gitlab.onelab.info/gmsh/gmsh")
if(GMSH_RELEASE)
  string(REPLACE "\." "_" GMSH_SHORT_VERSION_ ${GMSH_SHORT_VERSION})
  set(GMSH_GITLAB_PREFIX "${GMSH_GITLAB_PREFIX}/blob/gmsh_${GMSH_SHORT_VERSION_}")
else()
  set(GMSH_GITLAB_PREFIX "${GMSH_GITLAB_PREFIX}/blob/master")
endif()

set(GMSH_API api/gmsh.h api/gmshc.h api/gmsh.h_cwrap api/gmsh.f90)

if(ENABLE_PRIVATE_API)
  message(WARNING "The private API is unsupported and undocumented. It is meant "
          "for expert Gmsh developers, not for regular Gmsh users, who should rely "
          "on the stable public API (gmsh/api) instead.")
  file(GLOB_RECURSE HEADERS src/common/*.h src/numeric/*.h src/numeric/*.hpp
       src/geo/*.h src/mesh/*.h src/solver/*.h src/post/*.h src/plugin/*.h
       src/graphics/*.h contrib/kbipack/*.h contrib/DiscreteIntegration/*.h
       contrib/HighOrderMeshOptimizer/*.h contrib/MeshOptimizer/*.h
       contrib/MeshQualityOptimizer/*.h)
  set(GMSH_PRIVATE_API ${CMAKE_CURRENT_BINARY_DIR}/src/common/GmshConfig.h
      ${CMAKE_CURRENT_BINARY_DIR}/src/common/GmshVersion.h ${HEADERS})
  get_property(IAMCHILD DIRECTORY PROPERTY PARENT_DIRECTORY)
  if(IAMCHILD)
    set(GMSH_PRIVATE_API ${GMSH_PRIVATE_API} PARENT_SCOPE)
  endif()
  if(ENABLE_WRAP_PYTHON OR ENABLE_WRAP_JAVA)
    set(ENABLE_BUILD_DYNAMIC ON)
    message(WARNING "SWIG wrappers for the private API are unsupported and "
            "undocumented. The stable public Python API does not required SWIG.")
  endif()
endif()

set(ONELAB_PY contrib/onelab/python/onelab.py)
set(GMSH_PY api/gmsh.py)
set(GMSH_JL api/gmsh.jl)

string(TIMESTAMP DATE "%Y%m%d")
if(NOT DATE)
  set(DATE "unknown")
endif()
set(GMSH_DATE "${DATE}")

if(NOT GMSH_HOST)
  execute_process(COMMAND hostname OUTPUT_VARIABLE HOST
                  OUTPUT_STRIP_TRAILING_WHITESPACE)
  if(NOT HOST)
    set(HOST "unknown")
  endif()
  set(GMSH_HOST "${HOST}")
endif()

if(NOT GMSH_PACKAGER)
  execute_process(COMMAND whoami OUTPUT_VARIABLE PACKAGER
                  OUTPUT_STRIP_TRAILING_WHITESPACE)
  if(NOT PACKAGER)
    set(PACKAGER "unknown")
  endif()
  string(REPLACE "\\" " " PACKAGER ${PACKAGER})
  set(GMSH_PACKAGER "${PACKAGER}")
endif()

if(APPLE)
  if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "arm64")
    set(GMSH_OS "MacOSARM")
  else()
    set(GMSH_OS "MacOSX")
  endif()
  # build universal binary
  #SET(CMAKE_OSX_ARCHITECTURES "x86_64;arm64" CACHE STRING "Build architectures for macOS" FORCE)
elseif(CYGWIN OR MSYS)
  # detect if we use the MinGW compilers on Cygwin - if we do, handle the build
  # as a pure Windows build and make cmake find pure Windows import libraries
  # (.lib)
  if(CMAKE_CXX_COMPILER_ID MATCHES "GNU" OR
     CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    execute_process(COMMAND ${CMAKE_CXX_COMPILER} -dumpmachine
                    OUTPUT_VARIABLE CXX_COMPILER_MACHINE
                    OUTPUT_STRIP_TRAILING_WHITESPACE)
    if(CXX_COMPILER_MACHINE MATCHES "mingw")
      set(GMSH_OS "Windows")
      set(WIN32 1)
      add_definitions(-DWIN32)
      set(CMAKE_FIND_LIBRARY_PREFIXES "lib" "")
      set(CMAKE_FIND_LIBRARY_SUFFIXES ".a" ".so" ".lib" ".LIB" ".dll" ".DLL" ".dll.a")
    endif()
  endif()
endif()
if(NOT GMSH_OS)
  set(GMSH_OS "${CMAKE_SYSTEM_NAME}")
endif()

include(CheckTypeSize)
include(CheckSymbolExists)
include(CheckIncludeFile)
include(CheckCXXCompilerFlag)
include(CheckCCompilerFlag)

macro(set_config_option VARNAME STRING)
  set(${VARNAME} TRUE)
  list(APPEND CONFIG_OPTIONS ${STRING})
  message(STATUS "Found " ${STRING})
endmacro()

# check the size of size_t
check_type_size("size_t" SIZEOF_SIZE_T)
if(SIZEOF_SIZE_T EQUAL 8)
  set_config_option(HAVE_64BIT_SIZE_T "64Bit")
endif()

# append 32/64 to the build name on Linux and Windows
if(NOT APPLE)
  if(HAVE_64BIT_SIZE_T)
    set(GMSH_OS "${GMSH_OS}64")
  else()
    set(GMSH_OS "${GMSH_OS}32")
  endif()
endif()

if(ENABLE_BUILD_DYNAMIC)
  set(GMSH_OS "${GMSH_OS}-sdk")
endif()

if(ENABLE_RPATH)
  set(CMAKE_MACOSX_RPATH 1)

  # make sure that dynamic libraries can be found when installing/ displacing
  # the binaries: from https://gitlab.kitware.com/cmake/community/wikis/doc/
  # cmake/RPATH-handling:

  # use, i.e. don't skip the full RPATH for the build tree

=== contrib/DiscreteIntegration/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2025 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file in the Gmsh root directory for license information.
# Please report all issues on https://gitlab.onelab.info/gmsh/gmsh/issues.

set(SRC
  Integration3D.cpp
  recurCut.cpp
)

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
append_gmsh_src(contrib/DiscreteIntegration "${SRC};${HDR}")

=== contrib/HighOrderMeshOptimizer/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2025 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file in the Gmsh root directory for license information.
# Please report all issues on https://gitlab.onelab.info/gmsh/gmsh/issues.

set(SRC
  HighOrderMeshOptimizer.cpp
  HighOrderMeshElasticAnalogy.cpp
  HighOrderMeshFastCurving.cpp
  HighOrderMeshPeriodicity.cpp
  MetaEl.cpp
  BoundaryLayerCurver2D.cpp
  BoundaryLayerCurver3D.cpp
)

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
append_gmsh_src(contrib/HighOrderMeshOptimizer "${SRC};${HDR}")

=== contrib/MathEx/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2025 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file in the Gmsh root directory for license information.
# Please report all issues on https://gitlab.onelab.info/gmsh/gmsh/issues.

set(SRC
  mathex.cpp
)

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
append_gmsh_src(contrib/MathEx "${SRC};${HDR}")

=== contrib/MeshOptimizer/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2025 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file in the Gmsh root directory for license information.
# Please report all issues on https://gitlab.onelab.info/gmsh/gmsh/issues.

set(SRC
  MeshOptimizer.cpp
  MeshOpt.cpp
  MeshOptCommon.cpp
  Patch.cpp
  ObjectiveFunction.cpp
  ObjContrib.cpp
  ObjContribFunc.cpp
  VertexCoord.cpp
  CADDistances.cpp
  IntegralBoundaryDist.cpp
)


opt(NCURSES "Enable ncurses console tools" OFF)

if(ENABLE_NCURSES)
  find_library(NCURSES_LIB ncurses)
  find_path(NCURSES_INC "ncurses.h" PATH_SUFFIXES src include)
endif()
if(NCURSES_LIB AND NCURSES_INC)
    set_config_option(HAVE_NCURSES "NCURSES")
    list(APPEND EXTERNAL_LIBRARIES ${NCURSES_LIB})
    set(EXTERNAL_LIBRARIES ${EXTERNAL_LIBRARIES} PARENT_SCOPE)
    list(APPEND EXTERNAL_INCLUDES ${NCURSES_INC})
endif()

mark_as_advanced(NCURSES_INC NCURSES_LIB)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/MeshOptimizerConfig.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/MeshOptimizerConfig.h)

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)
append_gmsh_src(contrib/MeshOptimizer "${SRC};${HDR}")

=== contrib/MeshQualityOptimizer/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2025 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file in the Gmsh root directory for license information.
# Please report all issues on https://gitlab.onelab.info/gmsh/gmsh/issues.

set(SRC
  MeshQualityOptimizer.cpp
)

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)
append_gmsh_src(contrib/MeshQualityOptimizer "${SRC};${HDR}")

=== contrib/QuadMeshingTools/CMakeLists.txt ===
set(QMT_SRC
  qmtMeshGeometryOptimization.cpp
  qmtDiskQuadrangulationRemeshing.cpp
  qmtQuadCavityRemeshing.cpp
  qmtCrossField.cpp
  qmtCurveQuantization.cpp
  qmtSizeMap.cpp
  qmtMeshUtils.cpp
  arrayGeometry.cpp
  cppUtils.cpp
  geolog.cpp
  row_echelon_integer.cpp
  )

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
append_gmsh_src(contrib/QuadMeshingTools "${QMT_SRC};${HDR}")

=== contrib/WinslowUntangler/CMakeLists.txt ===
set(WU_SRC
  winslowUntangler.cpp
  meshSurfaceUntangling.cpp
  meshVolumeUntangling.cpp
  )

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
append_gmsh_src(contrib/WinslowUntangler "${WU_SRC};${HDR}")

=== contrib/blossom/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2025 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file in the Gmsh root directory for license information.
# Please report all issues on https://gitlab.onelab.info/gmsh/gmsh/issues.

set(SRC
# concorde97/BIGGUY/bg_test.c
  concorde97/BIGGUY/bigguy.c
  concorde97/CUT/connect.c
  concorde97/CUT/cut_st.c
# concorde97/CUT/mc_main.c
  concorde97/CUT/mincut.c
  concorde97/CUT/segments.c
  concorde97/CUT/shrink.c
  concorde97/EDGEGEN/edgegen.c
# concorde97/EDGEGEN/eg_main.c
  concorde97/EDGEGEN/xnear.c
# concorde97/FMATCH/fm_main.c
  concorde97/FMATCH/fmatch.c
# concorde97/KDTREE/kd_main.c
  concorde97/KDTREE/kdbuild.c
  concorde97/KDTREE/kdnear.c
  concorde97/KDTREE/kdspan.c
  concorde97/KDTREE/kdtwoopt.c
# concorde97/LINKERN/flip_ary.c
# concorde97/LINKERN/flip_bt0.c
# concorde97/LINKERN/flip_bt1.c
# concorde97/LINKERN/flip_bt2.c
# concorde97/LINKERN/flip_bt3.c
# concorde97/LINKERN/flip_bt4.c
# concorde97/LINKERN/flip_bt5.c
# concorde97/LINKERN/flip_btc.c
# concorde97/LINKERN/flip_btd.c
# concorde97/LINKERN/flip_btr.c
# concorde97/LINKERN/flip_ll0.c
# concorde97/LINKERN/flip_ll1.c
# concorde97/LINKERN/flip_ll2.c
# concorde97/LINKERN/flip_ll3.c
# concorde97/LINKERN/flip_ll4.c
# concorde97/LINKERN/flip_ll5.c
# concorde97/LINKERN/flip_ll6.c
# concorde97/LINKERN/flip_ll7.c
  concorde97/LINKERN/flip_ll8.c
# concorde97/LINKERN/flip_ll9.c
# concorde97/LINKERN/flip_llA.c
# concorde97/LINKERN/flip_llB.c
# concorde97/LINKERN/flip_llC.c
# concorde97/LINKERN/flip_llD.c
# concorde97/LINKERN/flip_sg1.c
# concorde97/LINKERN/flip_sg2.c
# concorde97/LINKERN/flip_sg3.c
# concorde97/LINKERN/flip_sp1.c
# concorde97/LINKERN/flip_sp2.c
# concorde97/LINKERN/flip_try.c
# concorde97/LINKERN/flip_tw2.c
# concorde97/LINKERN/flip_two.c
  concorde97/LINKERN/linkern.c
# concorde97/LINKERN/lk_main.c
# concorde97/LP/lpcplex.c
  concorde97/LP/lpsolve.c
  concorde97/TSP/bcontrol.c
  concorde97/TSP/branch.c
  concorde97/TSP/cliqhash.c
  concorde97/TSP/cliqwork.c
#concorde97/TSP/concorde.c
  concorde97/TSP/control.c
  concorde97/TSP/cutcall.c
  concorde97/TSP/cutpool.c
  concorde97/TSP/edgemap.c
  concorde97/TSP/ex_price.c
  concorde97/TSP/generate.c
# concorde97/TSP/poolcat.c
  concorde97/TSP/prob_io.c
  concorde97/TSP/qsparse.c
  concorde97/TSP/teething.c
  concorde97/TSP/tighten.c
  concorde97/TSP/tsp_lp.c
  concorde97/TSP/xtour.c
  concorde97/UTIL/allocrus.c
  concorde97/UTIL/bgetopt.c
  concorde97/UTIL/dheaps_i.c
  concorde97/UTIL/edg2cyc.c
  concorde97/UTIL/edgelen.c
  concorde97/UTIL/fastread.c
  concorde97/UTIL/genhash.c
  concorde97/UTIL/getdata.c
  concorde97/UTIL/priority.c
  concorde97/UTIL/safe_io.c
  concorde97/UTIL/sortrus.c
  concorde97/UTIL/urandom.c
  concorde97/UTIL/util.c
  concorde97/UTIL/zeit.c
  concorde97/XSTUFF/Xallcuts.c
  concorde97/XSTUFF/Xblobs.c
  concorde97/XSTUFF/Xblock.c
  concorde97/XSTUFF/Xblossom.c
  concorde97/XSTUFF/Xcclean.c
  concorde97/XSTUFF/Xclique.c
  concorde97/XSTUFF/Xcuthash.c
  concorde97/XSTUFF/Xcutload.c
  concorde97/XSTUFF/Xcuts.c
  concorde97/XSTUFF/Xcututil.c
  concorde97/XSTUFF/Xflow.c
  concorde97/XSTUFF/Xgomhu.c
  concorde97/XSTUFF/Xgraph.c
  concorde97/XSTUFF/Xnecklac.c
  concorde97/XSTUFF/Xnewkids.c
  concorde97/XSTUFF/Xourallo.c
  concorde97/XSTUFF/Xpqnew.c
  concorde97/XSTUFF/Xshrink.c
  concorde97/XSTUFF/Xstuff.c
# concorde97/XSTUFF/Xtest.c
  MATCH/match.c MATCH/matprice.c
)

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
append_gmsh_src(contrib/blossom "${SRC};${HDR}")

=== contrib/domhex/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2025 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file in the Gmsh root directory for license information.
# Please report all issues on https://gitlab.onelab.info/gmsh/gmsh/issues.

set(SRC
  directions3D.cpp
  simple3D.cpp
  pointInsertion.cpp
  pointInsertionRTreeTools.cpp
  yamakawa.cpp
  ThinLayer.cpp
  surfaceFiller.cpp
  BGMBase.cpp
  BackgroundMesh2D.cpp
  BackgroundMesh3D.cpp
  BackgroundMeshManager.cpp
)

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
append_gmsh_src(contrib/domhex "${SRC};${HDR}")

=== contrib/hxt/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2025 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file in the Gmsh root directory for license information.
# Please report all issues on https://gitlab.onelab.info/gmsh/gmsh/issues.


# This CMakeList is only part of Gmsh
# To compile hxt separately, use the CMakeLists in the module you would like to use
# except for sizeField, which can only be compiled with Gmsh

# Fixme: HXT should rather be included using simple target_link_library calls,
# as for external libraries


#################################################################################
# HXT combine (Identifying combinations of tetrahedra into hexahedra: a vertex based strategy)
#################################################################################
set(SRC
    algorithms.cpp
    candidate_cell.cpp
    compute_candidate_cells.cpp
    hxt_combine_c_api.cpp
    hxt_combine_cpp_api.cpp
    tet_mesh.cpp
    hxt_quality.cpp
    cell_types.cpp
    algorithms.h
    basic_types.h
    bvh_tree.h
    candidate_cell.h
    cell_types.h
    combine_quality.h
    compute_candidate_cells.h
    hxt_combine_c_api.h
    hxt_combine_cell.h
    hxt_combine_cpp_api.h
    tet_mesh.h
    hxt_quality.h
    expansion.h
   )

append_gmsh_src(contrib/hxt/Combine/src "${SRC}")
#append_gmsh_src(contrib/hxt/Combine/include "${INC}")
list(APPEND HXT_INC_DIRS
     contrib/hxt/Combine/src)


#################################################################################
# HXT core
#################################################################################
set(SRC
    hxt_bbox.c
    hxt_mesh.c
    hxt_message.c
    hxt_sort.c
   )

set(INC
    hxt_bbox.h
    hxt_mesh.h
    hxt_message.h
    hxt_omp.h
    hxt_sort.h
    hxt_tools.h
   )

append_gmsh_src(contrib/hxt/core/src "${SRC}")
append_gmsh_src(contrib/hxt/core/include "${INC}")
list(APPEND HXT_INC_DIRS
     contrib/hxt/core/src
     contrib/hxt/core/include)


#################################################################################
# HXT reparam
#################################################################################
set(SRC
    hxt_class_macro.h
    hxt_curvature.c
    hxt_edge.c
    hxt_linear_system.c
    hxt_linear_system_lu.c
    hxt_linear_system_lu.h
    hxt_linear_system_petsc.c
    hxt_linear_system_petsc.h
    hxt_mean_values.c
    hxt_non_linear_solver.c
    hxt_non_linear_solver.h
   )

set(INC
    hxt_curvature.h
    hxt_edge.h
    hxt_linear_system.h
    hxt_mean_values.h
   )

append_gmsh_src(contrib/hxt/reparam/src "${SRC}")
append_gmsh_src(contrib/hxt/reparam/include "${INC}")
list(APPEND HXT_INC_DIRS
     contrib/hxt/reparam/src
     contrib/hxt/reparam/include)

#################################################################################
# HXT predicates
#################################################################################
append_gmsh_src(contrib/hxt/predicates/src predicates.c)
append_gmsh_src(contrib/hxt/predicates/include predicates.h)
list(APPEND HXT_INC_DIRS
     contrib/hxt/predicates/src
     contrib/hxt/predicates/include)


#################################################################################
# HXT tetBR
#################################################################################
append_gmsh_src(contrib/hxt/tetBR/src hxt_boundary_recovery.cxx)
append_gmsh_src(contrib/hxt/tetBR/include hxt_boundary_recovery.h)
list(APPEND HXT_INC_DIRS
     contrib/hxt/tetBR/src
     contrib/hxt/tetBR/include)


#################################################################################
# HXT tetMesh
#################################################################################
set(SRC
    hxt_edgeRemoval.c
    hxt_edgeRemoval.h
    hxt_smoothing.c
    hxt_smoothing.h
    HXTSPR.c
    HXTSPR.h
    hxt_tetColor.c
    hxt_tetColor.h
    hxt_tetDelaunay.c
    hxt_tetDelaunayReshape.c
    hxt_tetDelaunayReshape.h
    hxt_tetFlag.c
    hxt_tetMesh.c
    hxt_tetNodalSize.c
    hxt_tetOpti.c
    hxt_tetOptiUtils.h
    hxt_tetPartition.h
    hxt_tetQuality.c
    hxt_tetQuality.h
    hxt_tetRefine.c
    hxt_tetRefine.h
    hxt_tetRepair.c
    hxt_tetSync.c
    hxt_tetSync.h
    hxt_tetUtils.c
    hxt_tetUtils.h
    hxt_vertices.c
   )

set(INC
    hxt_tetDelaunay.h
    hxt_tetFlag.h
    hxt_tetMesh.h
    hxt_tetNodalSize.h
    hxt_tetOpti.h
    hxt_tetRepair.h
    hxt_vertices.h
   )

append_gmsh_src(contrib/hxt/tetMesh/src "${SRC}")
append_gmsh_src(contrib/hxt/tetMesh/include "${INC}")

list(APPEND HXT_INC_DIRS
     contrib/hxt/tetMesh/src
     contrib/hxt/tetMesh/include)


#################################################################################
# propagate HXT_INC_DIRS to parent CMakeLists
#################################################################################
set(HXT_INC_DIRS ${HXT_INC_DIRS} PARENT_SCOPE)

=== contrib/kbipack/CMakeLists.txt ===
# Gmsh - Copyright (C) 1997-2025 C. Geuzaine, J.-F. Remacle
#
# See the LICENSE.txt file in the Gmsh root directory for license information.
# Please report all issues on https://gitlab.onelab.info/gmsh/gmsh/issues.

set(SRC
  gmp_normal_form.cpp
  gmp_matrix_io.cpp
  gmp_matrix.cpp
  gmp_blas.cpp
  mpz.cpp
)

file(GLOB_RECURSE HDR RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
append_gmsh_src(contrib/kbipack "${SRC};${HDR}")

=== debian/changelog ===
gmsh (4.14.0+ds1-1) unstable; urgency=medium

  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Sat, 23 Aug 2025 20:26:48 +0200

gmsh (4.14.0+ds1-1~exp1) experimental; urgency=medium

  * [1638643] New upstream version 4.14.0+ds1
  * [6431de4] Standards-Version: 4.7.2
  * [c256e78] Update Francesco Ballarin's email address
  * [c732472] Refresh patches
  * [2f00561] New ABI 4.14
  * [719b97a] Install *.cmake files for downstream development in libgmsh-dev

 -- Francesco Ballarin <ballarin@debian.org>  Sat, 26 Jul 2025 15:03:23 +0000

gmsh (4.13.1+ds1-6) unstable; urgency=medium

  * [44ad17d] Add ann_change_case_and_force.patch to ensure that
    ANN support is enabled:
    - previous builds were not correctly enabling ANN support because debian
      packages the ANN library as libann.so, rather than libANN.so
    - apart from changing the case, the patch now also forces the
      configuration to stop if ANN support is missing.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 24 Apr 2025 14:37:54 +0000

=== debian/control ===
Source: gmsh
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Trophime <christophe.trophime@lncmi.cnrs.fr>,
           Kurt Kremitzki <kkremitzki@debian.org>,
           Anton Gladky <gladk@debian.org>,
           Francesco Ballarin <ballarin@debian.org>
Section: math
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), cmake,
               debhelper-compat (= 13),
               freeglut3-dev,
               gfortran,
               libann-dev,
               libalglib-dev,
               libblas-dev,
               libcgns-dev,
               libeigen3-dev,
               libfltk1.3-dev,
               libgl-dev,
               libgl2ps-dev,
               libglu1-mesa-dev,
               libgmm++-dev,
               libgmp-dev,
               libhdf5-dev,
               libjpeg-dev,
               liblapack-dev,
               liblbfgs-dev,
               libmetis-dev,
               libnglib-dev (>= 6.2.2401+dfsg1-2~),
               libocct-data-exchange-dev,
               libocct-foundation-dev,
               libocct-modeling-algorithms-dev,
               libocct-modeling-data-dev,
               libocct-ocaf-dev,
               libocct-visualization-dev,
               libpng-dev,
               texinfo,
               texlive,
               texlive-plain-generic,
               voro++-dev,
               zlib1g-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/gmsh
Vcs-Git: https://salsa.debian.org/science-team/gmsh.git
Homepage: https://gmsh.info
Rules-Requires-Root: no

Package: gmsh
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends}
Recommends: gmsh-doc
Description: Three-dimensional finite element mesh generator
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.

Package: gmsh-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Three-dimensional finite element mesh generator documentation
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 The package contains documentation and examples.

Package: libgmsh-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgmsh4.14 (= ${binary:Version}),
         ${misc:Depends}
Recommends: gmsh
Description: Three-dimensional finite element mesh generator development files
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 The package contains development files.

Package: libgmsh-private-headers-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgmsh4.14 (= ${binary:Version}),
         libgmsh-dev (= ${binary:Version}),
         ${misc:Depends}
Recommends: gmsh
Description: Three-dimensional finite element mesh generator development files
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 The package contains development private headers.

Package: libgmsh4.14
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: gmsh
Pre-Depends: ${misc:Pre-Depends}
Description: Three-dimensional finite element mesh generator shared library
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 The package contains a shared library.

Package: python3-gmsh
Architecture: all
Section: python
Depends: python3,
         libgmsh4.14 (>= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gmsh
Description: Three-dimensional finite element mesh generator Python 3 wrapper
 Gmsh is a 3D finite element grid generator with a build-in CAD engine
 and post-processor. Its design goal is to provide a fast, light and
 user-friendly meshing tool with parametric input and advanced
 visualization capabilities. Gmsh is built around four modules: geometry,
 mesh, solver and post-processing. The specification of any input to
 these modules is done either interactively using the graphical user
 interface or in ASCII text files using Gmsh's own scripting language.
 .
 See Gmsh's reference manual for a more thorough overview of Gmsh's
 capabilities.
 .
 This package contains the Python 3 wrapper for gmsh.

=== debian/rules ===
#!/usr/bin/make -f
BUILDDIR = $(CURDIR)/debian/build

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR)

disable_auto_test_archs = mips64el
export LD_LIBRARY_PATH := $(CURDIR)/debian/tmp/usr/lib:$(LD_LIBRARY_PATH);

# Don't enable PETSc support. We would need to use an MPI compiler (which isn't
# recommended), and all functionality is present without PETSc as well. See
# <https://gitlab.onelab.info/gmsh/gmsh/issues/502#note_6599>.
#
# Turn off MED support for now. All the dependencies are there in Debian
# (libhdf5-serial-dev, libmed-dev, libmedc-dev), but libmed is provided
# MPI-compiled only, leading to errors as described in
# <https://gitlab.onelab.info/gmsh/gmsh/issues/504#note_6602>.
#
# GMSH_HOST and GMSH_PACKAGER are explicitly specified to help with reproducible builds.
extra_flags += \
    -DCMAKE_SKIP_RPATH:BOOL=ON \
    -DENABLE_BUILD_SHARED:BOOL=ON \
    -DENABLE_BUILD_DYNAMIC:BOOL=ON \
    -DGMSH_HOST:STRING="debian-build-farm" \
    -DGMSH_PACKAGER:STRING="nobody" \
    -DENABLE_OPENMP:BOOL=ON \
    -DENABLE_OS_SPECIFIC_INSTALL:BOOL=ON \
    -DENABLE_SYSTEM_CONTRIB:BOOL=ON \
    -DENABLE_CGNS:BOOL=ON \
    -DENABLE_MED:BOOL=OFF \
    -DENABLE_METIS:BOOL=ON \
    -DENABLE_OCC:BOOL=ON \
    -DOCC_LIB:STRING="/usr/lib/${DEB_HOST_MULTIARCH}" \
    -DENABLE_OCC_CAF:BOOL=ON \
    -DENABLE_ONELAB:BOOL=ON \
    -DENABLE_OSMESA:BOOL=OFF \
    -DENABLE_PETSC:BOOL=OFF \
    -DEIGEN_INC:STRING="/usr/include/eigen3" \
    -DENABLE_PRIVATE_API:BOOL=ON \
    -DENABLE_BLAS_LAPACK:BOOL=ON

override_dh_auto_clean:
	rm -rf $(BUILDDIR)
	rm -rf $(CURDIR)/debian/tmp
	rm -f doc/texinfo/gmsh.vr
	rm -f doc/texinfo/gmsh.fn
	rm -f doc/texinfo/gmsh.ky
	rm -f doc/texinfo/gmsh.pg
	rm -f doc/texinfo/gmsh.toc
	rm -f doc/texinfo/gmsh.log
	rm -f doc/texinfo/gmsh.cp
	rm -f doc/texinfo/gmsh.tp
	rm -f doc/texinfo/gmsh.tps
	rm -f doc/texinfo/gmsh.cps
	rm -f doc/texinfo/gmsh.aux
	rm -f doc/texinfo/gmsh.html
	rm -f doc/texinfo/gmsh.pdf
	rm -f doc/texinfo/gmsh.info

override_dh_auto_configure:
	dh_auto_configure -- $(extra_flags)

override_dh_auto_build:
	dh_auto_build
	# To avoid the texi2dvi pb add LC_ALL=C
	dh_auto_build -- pdf html info LC_ALL=C

override_dh_installdocs:
	dh_installdocs --doc-main-package=gmsh-doc -pgmsh
	dh_installdocs --doc-main-package=gmsh-doc -pgmsh-doc
	dh_installdocs --doc-main-package=gmsh-doc -plibgmsh-dev
	dh_installdocs --doc-main-package=gmsh-doc -plibgmsh-private-headers-dev
	dh_installdocs --doc-main-package=gmsh-doc -plibgmsh4.14
	dh_installdocs --doc-main-package=gmsh-doc -ppython3-gmsh

override_dh_auto_test:
	mkdir test-dir
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    ifeq (,$(filter $(DEB_HOST_ARCH),$(disable_auto_test_archs)))
	cp examples/simple_geo/transfinite.geo test-dir
	cd test-dir; LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${BUILDDIR}" $(BUILDDIR)/gmsh transfinite.geo -2 -o transfinite2d.mesh
	cd test-dir; LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${BUILDDIR}" $(BUILDDIR)/gmsh transfinite.geo -3 -o transfinite3d.mesh
	cd test-dir; LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${BUILDDIR}" $(BUILDDIR)/gmsh transfinite.geo -2 -o transfinite2d.msh
	cd test-dir; LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${BUILDDIR}" $(BUILDDIR)/gmsh transfinite.geo -3 -o transfinite3d.msh
	cd test-dir; LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${BUILDDIR}" $(BUILDDIR)/gmsh transfinite.geo -2 -o transfinite2d.stl
	cd test-dir; LD_LIBRARY_PATH="${LD_LIBRARY_PATH}:${BUILDDIR}" $(BUILDDIR)/gmsh transfinite.geo -3 -o transfinite3d.stl
	cd test-dir; ls -ln;
    endif
endif
	rm -rf test-dir

=== debian/watch ===
version=4
opts="searchmode=plain,downloadurlmangle=s!api/v4/projects/gmsh%2Fgmsh/releases!gmsh/gmsh/!,repacksuffix=+ds1,uversionmangle=s/(.*?)\.(.*)/$1/g;s/_/./g,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//" \
https://gitlab.onelab.info/api/v4/projects/gmsh%2Fgmsh/releases \
    -/archive/gmsh_((\d|_)*?)/gmsh-gmsh_((\d|_)*?)\.tar\.gz

## gmsh 4.15.0+ds1

=== debian/changelog ===
gmsh (4.15.0+ds1-1~exp1) experimental; urgency=medium

  * [7db8539] Update d/watch to version 5, and track releases from website rather than private gitlab instance
  * [7d8a2f3] New upstream version 4.15.0+ds1
  * [4e46b96] Standards-Version: 4.7.3
  * [c5bf14d] New ABI 4.15
  * [8c7d057] Refresh patches so that they apply without fuzz

 -- Francesco Ballarin <ballarin@debian.org>  Sun, 08 Feb 2026 10:30:12 +0000

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
                texlive-plain-generic,
                voro++-dev,
                zlib1g-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/science-team/gmsh
 Vcs-Git: https://salsa.debian.org/science-team/gmsh.git
 Homepage: https://gmsh.info
@@ -87,7 +87,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libgmsh4.14 (= ${binary:Version}),
+Depends: libgmsh4.15 (= ${binary:Version}),
          ${misc:Depends}
 Recommends: gmsh
 Description: Three-dimensional finite element mesh generator development files
@@ -108,7 +108,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libgmsh4.14 (= ${binary:Version}),
+Depends: libgmsh4.15 (= ${binary:Version}),
          libgmsh-dev (= ${binary:Version}),
          ${misc:Depends}
 Recommends: gmsh
@@ -126,7 +126,7 @@
  .
  The package contains development private headers.
 
-Package: libgmsh4.14
+Package: libgmsh4.15
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -152,7 +152,7 @@
 Architecture: all
 Section: python
 Depends: python3,
-         libgmsh4.14 (>= ${binary:Version}),
+         libgmsh4.15 (>= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gmsh

=== debian/rules ===
--- 
+++ 
@@ -75,7 +75,7 @@
 	dh_installdocs --doc-main-package=gmsh-doc -pgmsh-doc
 	dh_installdocs --doc-main-package=gmsh-doc -plibgmsh-dev
 	dh_installdocs --doc-main-package=gmsh-doc -plibgmsh-private-headers-dev
-	dh_installdocs --doc-main-package=gmsh-doc -plibgmsh4.14
+	dh_installdocs --doc-main-package=gmsh-doc -plibgmsh4.15
 	dh_installdocs --doc-main-package=gmsh-doc -ppython3-gmsh
 
 override_dh_auto_test:

## gmsh 4.15.1+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -112,8 +112,8 @@
 opt(ZIPPER "Enable Zip file compression/decompression" OFF)
 
 set(GMSH_MAJOR_VERSION 4)
-set(GMSH_MINOR_VERSION 14)
-set(GMSH_PATCH_VERSION 0)
+set(GMSH_MINOR_VERSION 15)
+set(GMSH_PATCH_VERSION 1)
 if(NOT GMSH_EXTRA_VERSION)
   set(GMSH_EXTRA_VERSION "")
 endif()

=== debian/changelog ===
gmsh (4.15.1+ds1-1~exp1) experimental; urgency=medium

  * [d1a6ae1] New upstream version 4.15.1+ds1
  * [092b918] Capitalize Eprint in upstream metadata
  * [5519b86] Refresh 141_search_in_triplet_subdir.patch
  * [d07a875] Apply multi-arch hints.  + libgmsh-dev,
    libgmsh-private-headers-dev: Drop Multi-Arch: same.
  * [919ed6f] Add more file removal to clean target in d/rules.
    Closes: #1044943.
  * [41936d7] Remove contrib/mmg3d and contrib/Netgen from d/copyright, since
    those folders are gone
  * [475b739] Remove unnecessary Priority and Rules-Requires-Root fields from
    d/control
  * [d47022b] Remove Homepage field from upstream metadata, since the field is
    unknown
  * [a617084] Add license for utils/freedesktop/info.gmsh.gmsh.metainfo.xml
  * [0768314] Use up to date email addresses in d/copyright
  * [a1160cf] Remove Files-Excluded from d/copyright, because none of those
    files are present anymore
  * [e1293f5] Enable cmake flag GMSH_RELEASE to prevent cmake from overwriting
    doc/texinfo/version.texi
  * [0dfaf48] Fix old-fsf-address-in-copyright-file lintian warning

 -- Francesco Ballarin <ballarin@debian.org>  Sat, 21 Feb 2026 15:30:07 +0000

=== debian/rules ===
--- 
+++ 
@@ -42,7 +42,8 @@
     -DENABLE_PETSC:BOOL=OFF \
     -DEIGEN_INC:STRING="/usr/include/eigen3" \
     -DENABLE_PRIVATE_API:BOOL=ON \
-    -DENABLE_BLAS_LAPACK:BOOL=ON
+    -DENABLE_BLAS_LAPACK:BOOL=ON \
+    -DGMSH_RELEASE:BOOL=ON
 
 override_dh_auto_clean:
 	rm -rf $(BUILDDIR)
@@ -61,6 +62,8 @@
 	rm -f doc/texinfo/gmsh.html
 	rm -f doc/texinfo/gmsh.pdf
 	rm -f doc/texinfo/gmsh.info
+	rm -f doc/texinfo/gmsh.info-1
+	rm -f doc/texinfo/gmsh.info-2
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(extra_flags)

=== debian/watch ===
Version: 5
Source: https://gmsh.info/src/
Matching-Pattern: gmsh-([0-9.]+)-source\.tgz
Dversionmangle: s/\+(debian|dfsg|ds|deb)\d*$//
Repacksuffix: +ds1
